var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';

import Typography from '@material-ui/core/Typography';

var variant = {
    'h1': 'headline',
    'h2': 'title',
    'h3': 'subheading',
    'h4': 'body2'
};

export default function H1(props) {
    var label = props.label,
        options = props.options,
        rest = _objectWithoutProperties(props, ['label', 'options']);

    var titleType = options.titleType;


    return React.createElement(
        Typography,
        _extends({
            variant: variant[titleType],
            component: titleType
        }, rest),
        label
    );
};