'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = H1;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Typography = require('@material-ui/core/Typography');

var _Typography2 = _interopRequireDefault(_Typography);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var variant = {
    'h1': 'headline',
    'h2': 'title',
    'h3': 'subheading',
    'h4': 'body2'
};

function H1(props) {
    var label = props.label,
        options = props.options,
        rest = _objectWithoutProperties(props, ['label', 'options']);

    var titleType = options.titleType;


    return _react2.default.createElement(
        _Typography2.default,
        _extends({
            variant: variant[titleType],
            component: titleType
        }, rest),
        label
    );
};
module.exports = exports['default'];